import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  appointmentId: z.number().int().int().optional(),
  userId: SortOrderSchema.optional(),
  staffId: SortOrderSchema.optional(),
  patientName: SortOrderSchema.optional(),
  memberId: SortOrderSchema.optional(),
  dateOfBirth: SortOrderSchema.optional(),
  remarks: SortOrderSchema.optional(),
  missingTeethStatus: SortOrderSchema.optional(),
  serviceDate: SortOrderSchema.optional(),
  insuranceProvider: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  claimNumber: SortOrderSchema.optional(),
  preAuthNumber: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional()
}).strict();
export const ClaimMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ClaimMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimMaxOrderByAggregateInput>;
export const ClaimMaxOrderByAggregateInputObjectZodSchema = makeSchema();
